eRMC
    • Operator Integration Guide for ERMC & SDK
    • report-settled-bet-event
      POST
    • settle-withdrawal
      POST
    • nin verification
      POST
    • Schemas
      • settle withdrawal
      • report-settled-bet-event

      settle-withdrawal

      Developing
      POST
      /integration-gateway/external/settle-withdrawal
      Report a finalized withdrawal event

      Request

      Header Params

      Body Params application/json

      Examples

      Responses

      🟢200Success
      application/json
      Body

      🟠401Unauthorized
      🟠404Record Not Found
      🟠422
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request POST '/integration-gateway/external/settle-withdrawal' \
      --header 'x-api-key;' \
      --header 'Content-Type: application/json' \
      --data-raw '{
          "request_id": "80",
          "amount": 534,
          "status": "eiusmod anim dolore aliqua qui",
          "timestamp": "1771420966",
          "user": {
              "user_id": "85",
              "full_name": "Greg Hand",
              "residence_address": "53587 Lubowitz Heights",
              "residence_state": "Kentucky",
              "residence_lga": "Ut in veniam dolore",
              "tax_id": "1",
              "nin": "in nulla tempor occaecat nostrud",
              "residency_status": "adipisicing voluptate"
          },
          "location": {
              "latitude": -39.9246,
              "longitude": 139.0839,
              "city": "Aliberg",
              "region": "laborum veniam",
              "country": "Guyana",
              "accuracy": -98370262,
              "source": "labore"
          },
          "metadata": {
              "method": "dolore",
              "bank": "sit in qui nulla",
              "account_last4": "sit dolor ipsum anim id"
          },
          "withdrawalId": "35",
          "userId": "63"
      }'
      Response Response Example
      200 - Example 1
      {
          "message": "Event received"
      }
      Modified at 2026-02-23 10:43:07
      Previous
      report-settled-bet-event
      Next
      nin verification
      Built with